Bug Hunting Session
Bug 89647 - text formatting incorrectly shown in .odt (needs WinXP)
Summary: text formatting incorrectly shown in .odt (needs WinXP)
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2015-02-25 11:39 UTC by Dr. Matthias Weisser
Modified: 2016-11-27 05:09 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
shows whats on the pc screen to see - missing bold ! (34.73 KB, image/png)
2015-02-25 11:39 UTC, Dr. Matthias Weisser
Details
test file showing the text itself for testing (47.55 KB, application/vnd.oasis.opendocument.text)
2015-02-25 11:41 UTC, Dr. Matthias Weisser
Details
pdf file showing correct output (108.50 KB, application/pdf)
2015-02-25 11:42 UTC, Dr. Matthias Weisser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dr. Matthias Weisser 2015-02-25 11:39:04 UTC
Created attachment 113668 [details]
shows whats on the pc screen to see - missing bold !

As can be seen in the text output on the screen text.png there is a text shown with some parts in italics and only some words in the top line shown bold.

The file 2015_test_.pdf shows the pdf export from this. As can be seen the pdf correctly shows what really is bold and the text itself does not show this correctly. 

This seems to be a bug. I hope this can be resolved.
Comment 1 Dr. Matthias Weisser 2015-02-25 11:41:33 UTC
Created attachment 113669 [details]
test file showing the text itself for testing
Comment 2 Dr. Matthias Weisser 2015-02-25 11:42:13 UTC
Created attachment 113670 [details]
pdf file showing correct output
Comment 3 Robinson Tryon (qubit) 2015-02-25 21:52:10 UTC
TESTING with 4.4.1.2 on Ubuntu 14.04

(In reply to Dr. Matthias Weisser from comment #0)
> As can be seen in the text output on the screen text.png there is a text
> shown with some parts in italics and only some words in the top line shown
> bold.
> 
> The file 2015_test_.pdf shows the pdf export from this. As can be seen the
> pdf correctly shows what really is bold and the text itself does not show
> this correctly. 

NOREPRO: I see bold sections throughout the document, both in the PDF output and in the document as rendered in LibreOffice directly.

Matthias: Do you see the same issues in a current version of LO such as 4.4.0.3 ?
https://www.libreoffice.org/download/

Status -> NEEDINFO
Comment 4 Dr. Matthias Weisser 2015-02-26 14:40:53 UTC
Robinson: I tried now with the newest version of LO 4.4.0.3. Unfortunately still the problem can be seen. As you can see in the odt file and the screen dump from this (attachment 1) only the words "ins Koma fielen älter waren" and "länger operiert" are shown bold. All other words are only shown "normal" or "italic".

When looking at the pdf the things are different. In this file also the words "Todesfälle" and "9 davon waren alt und gesundheitlich angeschlagen" and "Ödeme   im   Gehirn" and "im CT zu sehen" and so on can clearly be seen in bold. 

In the odt file this "bold" format is given and can be seen in the format line. 

But it is not shown in the text to edit.
Comment 5 Dr. Matthias Weisser 2015-02-26 14:44:12 UTC
"But it is not shown in the text to edit" should be
"But it is not shown in the text to edit when in addition to bold also italics are used". Seems to be a coding problem.
Comment 6 V Stuart Foote 2015-02-26 21:21:01 UTC
Can not reproduce on Windows 7 sp1, 64-bit en-US with

Version: 4.4.0.3
Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Locale: en_US

The document is well formed with itallics and bold fonts. It matches the rendering in PDF.
Comment 7 Buovjaga 2015-02-27 13:35:30 UTC
Same result as V S Foote, it matches the pdf.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 8 Gordo 2015-05-27 19:35:45 UTC
This was right around the time that a Microsoft update caused some fonts to render poorly.  I remember because something I was working on suddenly looked like it came off a printing press.  I thought it was LO but it also affected other applications.

These were for Vista and Server 2003 and 2008.  I don't know if there were other updates that affected Windows 7 and 8.
https://support.microsoft.com/en-us/kb/3013455 (culprit)
https://support.microsoft.com/en-us/kb/3037639 (fix)

Has this problem resolved itself with a newer version of LO?

Set to NEEDINFO.  Set back to UNCONFIRMED once you have provided the necessary information.
Comment 9 Dr. Matthias Weisser 2015-05-29 12:34:47 UTC
(In reply to Gordo from comment #8)
> These were for Vista and Server 2003 and 2008.  I don't know if there were
> other updates that affected Windows 7 and 8.
> https://support.microsoft.com/en-us/kb/3013455 (culprit)
> https://support.microsoft.com/en-us/kb/3037639 (fix)

thank you very much for this hint. I am still using XP. May be also there is a fix for XP. I do not know one at the moment. 

> Has this problem resolved itself with a newer version of LO?

not yet. As you can see above I tried using LO 4.4.0.3. Looking at
https://de.libreoffice.org/download/libreoffice-still/
I do not see a stable newer version. They are telling about 4.3.7. Seems to be that a 4.4.3 is available. Should I try using that? 

5.0.0. seems to be quite unstable at the moment.  

> Set to NEEDINFO.  Set back to UNCONFIRMED once you have provided the
> necessary information.

I set to unconfirmed again.
Comment 10 Gordo 2015-05-29 13:07:17 UTC
Look for something like "View update history" in the Control Panel under Windows Updates.  Sort by date and look for KB3013455.

You can try uninstalling the update and run updates again but if you are not on extended support then you might be out of luck.  That means the only way to have the fonts work is to leave that fix uninstalled but be vulernable to an exploit.

https://www.google.co.uk/#q=windows+xp+update+feb+2015+font

If that is not the problem then you can always try 4.4.3.2.
Comment 11 Dr. Matthias Weisser 2015-05-29 18:48:06 UTC
(In reply to Gordo from comment #10)
> Look for something like "View update history" in the Control Panel under
> Windows Updates.  Sort by date and look for KB3013455.

Thank you very much for this hint Gordo !

There is no field "Windows Updates" under "Systemsteuerung". 
I can use "Systemsteuerung" "Software" "updates anzeigen" to see updates. 

The last KB updates that I installed were from 2012. No such after that date.
There is no KB3013455 here. This seems to be a "February 2015 update" not intended for use with my WinXP. So it should not be the cause for this trouble. 

> If that is not the problem then you can always try 4.4.3.2.

I can have a try.
Comment 12 Dr. Matthias Weisser 2015-05-29 19:33:34 UTC
I did now install LO 4.4.3.2. Its the same problem there. Bold is not shown correctly when also italics is choosen. Switching off italics shows the missing bold coming up.
Comment 13 Gordo 2015-05-29 20:05:19 UTC
The only other thing I can suggest is to rename your profile folder (https://wiki.documentfoundation.org/User_Profile).
Comment 14 Dr. Matthias Weisser 2015-06-01 09:44:16 UTC
(In reply to Gordo from comment #13)
> The only other thing I can suggest is to rename your profile folder
> (https://wiki.documentfoundation.org/User_Profile).

I did this now. Just renamed the "user"-folder into "user_old". 

Unfortunately nothing changed. The same behaviour also could be seen on my laptop. I do not feel that on both systems the profile got corrupt.
Comment 15 Gordo 2015-07-29 19:55:57 UTC
Hi, it's me again.  Is this still a pain in the ass?  ba dum tss.

If you select "Todesfälle" and right click -> Character -> Font tab, what does it say between the language and the preview box?  Is it "The same font will be used on both your printer and screen." or is it "This font style will be simulated or the closest matching style will be used."?  If it is the latter then perhaps the Times New Roman Bold Italic file (timesbi.ttf) is corrupt.  Yet that would not explain why you can export it to pdf and see it okay.  Nor why it is happening on two different machines.
Comment 16 Dr. Matthias Weisser 2015-07-30 08:50:59 UTC
(In reply to Gordo from comment #15)
> Is this still a pain in the ass?

yes.

> If you select "Todesfälle" and right click -> Character -> Font tab, what
> does it say between the language and the preview box?  Is it "The same font
> will be used on both your printer and screen." 

yes: "Für Ausdruck und Anzeige am Bildschirm wird die gleiche Schriftart verwendet." 

> Yet that would not explain why you can export it to pdf and see
> it okay.  Nor why it is happening on two different machines.

yes. Its the same windows XP installed on both machines.
Comment 17 tommy27 2016-11-26 05:53:37 UTC
not reproducible using LibO 5.2.3.3 under Win8.1 x64

please tell if you still see this issue with latest LibO release.

status NEEDINFO until you give feedback.
Comment 18 Dr. Matthias Weisser 2016-11-26 11:01:32 UTC
Tommy, on my PC and laptop I am now using Win7 64bit instead of WinXP. There is no problem to see using Win7. Unfortunately I do not have an XP machine running now for testing.
Comment 19 Dr. Matthias Weisser 2016-11-26 11:02:44 UTC
may be somebody else still has XP for testing this?
Comment 20 tommy27 2016-11-26 11:45:24 UTC
no XP machine for me too....
maybe Pedro has one (added to CC' list)
Comment 21 Aron Budea 2016-11-26 12:31:30 UTC
I tested, and could reproduce it in Windows XP: at 85% zoom level the text looked fine, but at 75% bolditalic parts became italic.

Then I tested in WordPad, and got the same result there: after zooming out, bolditalic text turned into italic, and regained boldness when zooming back in.
So this seems to be a limitation of Windows XP's font rendering, and therefore NOTOURBUG.
Comment 22 Pedro 2016-11-26 16:31:14 UTC
(In reply to tommy27 from comment #20)
> no XP machine for me too....
> maybe Pedro has one (added to CC' list)

I have Windows XP at work (so I can only test on weekdays during lunch break)
It's OK to add me to CC list ;)
Comment 23 V Stuart Foote 2016-11-26 17:20:45 UTC
Original issue reproducible with test file (attachment 113669 [details])
on Windows XP Pro SP3 running as a VMWare guest VM

with
Version: 5.0.2.2
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: en-US (en_US)

and current release.

Version: 5.2.3.3
Build ID: d54a8868f08a7b39642414cf2c8ef2f228f780cf
CPU Threads: 2; OS Version: Windows 5.1; UI Render: default; 
Locale: en-US (en_US); Calc: group

Zooming in and out impacts bold value of the GDI font rendering.

Concur, RESOLVED NOTOURBUG
Comment 24 tommy27 2016-11-27 05:09:50 UTC
thanks you guys for all the testing.